LIBRARY ieee;
USE ieee.std_logic_1164.all;

entity mux4bit2to1 is
	port
	(
		x	: in std_logic_vector(3 downto 0);
		y	: in std_logic_vector(3 downto 0);
		s  : in std_logic;
		m	: out std_logic_vector(3 downto 0)
	);
end mux4bit2to1;


architecture behav of mux4bit2to1 is
begin
   m(3) <= (NOT(s) AND x(3)) OR (s AND y(3));
	m(2) <= (NOT(s) AND x(2)) OR (s AND y(2));
	m(1) <= (NOT(s) AND x(1)) OR (s AND y(1));
	m(0) <= (NOT(s) AND x(0)) OR (s AND y(0));
	
end behav;
