LIBRARY ieee;
USE ieee.std_logic_1164.all;

entity part3 is
	port
	(
		SW	 : in  std_logic_vector(9 downto 0);
		LEDR : out std_logic_vector(9 downto 0)
	);
end;


architecture behav of part3 is
   signal a,b,s : std_logic_vector(3 downto 0);
	signal c : std_logic_vector(4 downto 0);
begin


   c(0) <= SW(8);
	a <= SW(3 downto 0);
	b <= SW(7 downto 4);
	LEDR(3 downto 0) <= s;
	LEDR(4) <= c(4);
	LEDR(9 downto 5) <= "00000";
	
	f1: entity work.FullAdder
	port map(a(0), b(0), c(0), s(0), c(1));
	
	f2: entity work.FullAdder
	port map(a(1), b(1), c(1), s(1), c(2));
	
	f3: entity work.FullAdder
	port map(a(2), b(2), c(2), s(2), c(3));
	
	f4: entity work.FullAdder
	port map(a(3), b(3), c(3), s(3), c(4));
	
	
end;